apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    test: liveness
  name: liveness-http
spec:
  replicas: 1
  selector:
    matchLabels:
      app: liveness
  template:
    metadata:
      labels:
        app: liveness
    spec:
      containers:
        - name: liveness
          image: k8s.gcr.io/liveness
          args:
            - /server
          livenessProbe:
            httpGet:
              path: /healthz
              port: 8080
              httpHeaders:
                - name: Custom-Header
                  value: Awesome
            initialDelaySeconds: 3
            periodSeconds: 3